import { OnInit, ElementRef, Renderer2 } from "@angular/core";
import { WidgetHandleDirective } from "../../directives/widget-handle.directive";
export declare class WidgetComponent implements OnInit {
    protected _ngEl: ElementRef;
    protected _renderer: Renderer2;
    size: number[];
    widgetId: string;
    protected _handle: WidgetHandleDirective;
    constructor(_ngEl: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    readonly element: any;
    readonly offset: any;
    width: number;
    height: number;
    setPosition(top: number, left: number): void;
    setEventListener(cbMouse: Function): void;
    addClass(myClass: string): void;
    removeClass(myClass: string): void;
    readonly handle: any;
    removeFromParent(): void;
}
